<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.unis.base.server.dao.EquipmentRecordsDao" >

  <resultMap id="BaseResultMap" type="com.unis.base.server.entity.EquipmentRecordsDO" >
    <result column="SBBAJL_ID" property="sbbajlId" jdbcType="DECIMAL" />
    <result column="SBBH" property="sbbh" jdbcType="VARCHAR" />
    <result column="SBYQMC" property="sbyqmc" jdbcType="VARCHAR" />
    <result column="KDDM" property="kddm" jdbcType="VARCHAR" />
    <result column="SBGGXH" property="sbggxh" jdbcType="VARCHAR" />
    <result column="SBMS" property="sbms" jdbcType="VARCHAR" />
    <result column="SBZT" property="sbzt" jdbcType="VARCHAR" />
    <result column="SBFL" property="sbfl" jdbcType="VARCHAR" />
    <result column="SCCJ" property="sccj" jdbcType="VARCHAR" />
    <result column="CGJG" property="cgjg" jdbcType="DECIMAL" />
    <result column="SBGLZ" property="sbglz" jdbcType="VARCHAR" />
    <result column="EDGZSJ" property="edgzsj" jdbcType="DECIMAL" />
    <result column="DCGZSJ" property="dcgzsj" jdbcType="DECIMAL" />
    <result column="CGSJ" property="cgsj" jdbcType="TIMESTAMP" />
    <result column="YJJDRQ" property="yjjdrq" jdbcType="TIMESTAMP" />
    <result column="LJGZSJ" property="ljgzsj" jdbcType="DECIMAL" />
    <result column="SYSM" property="sysm" jdbcType="DECIMAL" />
    <result column="YJBFRQ" property="yjbfrq" jdbcType="TIMESTAMP" />
    <result column="SBZP" property="sbzp" jdbcType="VARCHAR" />
    <result column="RYBH" property="rybh" jdbcType="VARCHAR" />
    <result column="RYXM" property="ryxm" jdbcType="VARCHAR" />
    <result column="DJR" property="djr" jdbcType="VARCHAR" />
    <result column="WHYY" property="whyy" jdbcType="VARCHAR" />
    <result column="WHSJ" property="whsj" jdbcType="TIMESTAMP" />
    <result column="SFBA" property="sfba" jdbcType="DECIMAL" />
    <result column="SPYJ" property="spyj" jdbcType="VARCHAR" />
    <result column="SZDWMC" property="szdwmc" jdbcType="VARCHAR" />
    <result column="SZDWDM" property="szdwdm" jdbcType="VARCHAR" />
    <result column="JSZT" property="jszt" jdbcType="VARCHAR" />
    <result column="SBSL" property="sbsl" jdbcType="DECIMAL" />
    <result column="JSCS" property="jscs" jdbcType="VARCHAR" />
    <result column="SBLX" property="sblx" jdbcType="DECIMAL" />
    <result column="MQZT" property="mqzt" jdbcType="DECIMAL" />
    <result column="SFZC" property="sfzc" jdbcType="DECIMAL" />
    <result column="CCBM" property="ccbm" jdbcType="VARCHAR" />
    <result column="SBBM" property="sbbm" jdbcType="VARCHAR" />
    <result column="QYRQ" property="qyrq" jdbcType="TIMESTAMP" />
    <result column="SSFL" property="ssfl" jdbcType="DECIMAL" />
    <result column="JG_ID" property="jgId" jdbcType="VARCHAR" />
    <result column="FZD" property="fzd" jdbcType="VARCHAR" />
    <result column="SHRYBH" property="shrybh" jdbcType="VARCHAR" />
    <result column="SHRYMC" property="shrymc" jdbcType="VARCHAR" />
    <result column="SHBMBH" property="shbmbh" jdbcType="VARCHAR" />
    <result column="SHBMMC" property="shbmmc" jdbcType="VARCHAR" />
    <result column="SBDWMC" property="sbdwmc" jdbcType="VARCHAR" />
    <result column="ZCBH" property="zcbh" jdbcType="VARCHAR" />
    <result column="SCRQ" property="scrq" jdbcType="DATE" />
    <result column="RKRQ" property="rkrq" jdbcType="DATE" />
    <result column="SBFLBH" property="sbflbh" jdbcType="VARCHAR" />
    <result column="STATUS" property="status" jdbcType="DECIMAL" />
    <result column="CREATOR" property="creator" jdbcType="VARCHAR" />
    <result column="CREATOR_CODE" property="creatorCode" jdbcType="VARCHAR" />
    <result column="CREATE_DATE" property="createDate" jdbcType="TIMESTAMP" />
    <result column="REFRESHER" property="refresher" jdbcType="VARCHAR" />
    <result column="REFRESHER_CODE" property="refresherCode" jdbcType="VARCHAR" />
    <result column="REFRESH_TIME" property="refreshTime" jdbcType="TIMESTAMP" />
    <result column="REMARK" property="remark" jdbcType="VARCHAR" />
  </resultMap>

  <sql id="Base_Column_List_common">
    	sb.sbbajl_id, sb.sbbh, sb.sbyqmc, sb.kddm, sb.sbggxh, sb.sbms, sb.sbzt, sb.sbfl, sb.sccj, sb.cgjg,sb.sbglz,
    	sb.edgzsj, sb.dcgzsj, sb.cgsj, sb.yjjdrq, sb.ljgzsj, sb.sysm, sb.yjbfrq,sb.sbzp, sb.rybh, sb.ryxm, sb.djr,
    	sb.whyy, sb.whsj, sb.sfba, sb.spyj, sb.szdwmc, sb.szdwdm, sb.jszt, sb.sbsl, sb.jscs, sb.sblx,sb.mqzt, sb.sfzc,
    	sb.ccbm, sb.sbbm, sb.qyrq, sb.ssfl, sb.jg_id, sb.fzd, sb.SHRYBH, sb.SHRYMC, sb.SHBMBH, sb.SHBMMC, sb.SBDWMC,
    	sb.ZCBH, sb.SCRQ, sb.RKRQ, sb.SBFLBH, sb.status, sb.creator, sb.creator_code , sb.create_date, sb.refresher,
    	sb.refresher_code, sb.refresh_time, sb.remark
    </sql>

  <!-- 根据参数获取设备记录列表 -->
  <select id="getEquipmentRecordsList" parameterType="com.unis.base.common.vo.EquipmentRecordsQueryVO" resultMap="BaseResultMap">
    SELECT
    <include refid="Base_Column_List_common"></include>
    from
    D_SBXXSJY_HIS sb
    <where>
      sb.status = 1
      <!-- 设备编号 -->
      <if test="sbbh != null and sbbh != ''" >
        and	sb.sbbh LIKE concat(CONCAT('%',#{sbbh,jdbcType=VARCHAR}) ,'%')
      </if>
      <!-- 设备名称 -->
      <if test="sbyqmc != null and sbyqmc != ''" >
        and	sb.sbyqmc LIKE concat(CONCAT('%',#{sbyqmc,jdbcType=VARCHAR}) ,'%')
      </if>
      <!-- 设备类型 -->
      <if test="sbfl != null and sbfl != ''" >
        and	sb.sbfl LIKE concat(CONCAT('%',#{sbfl,jdbcType=VARCHAR}) ,'%')
      </if>
      <!-- 设备状态 -->
      <if test="sbzt != null and sbzt != ''" >
        and	sb.sbzt LIKE concat(CONCAT('%',#{sbzt,jdbcType=VARCHAR}) ,'%')
      </if>
      <!-- 库点代码 -->
      <if test="kddm != null and kddm != ''" >
        and	sb.kddm LIKE concat(CONCAT('%',#{kddm,jdbcType=VARCHAR}) ,'%')
      </if>
      <!-- 机构ID -->
      <if test="jgId != null and jgId != ''" >
        and	sb.jg_id LIKE concat(CONCAT('%',#{jgId,jdbcType=VARCHAR}) ,'%')
      </if>
    </where>
    order by sb.SBBAJL_ID desc
  </select>

  <!-- 根据设备编号获取设备记录 -->
  <select id="getEquipmentRecordsInfo" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    SELECT
    <include refid="Base_Column_List_common"></include>
    from
    D_SBXXSJY_HIS sb
    <where>
      sb.SBBAJL_ID = #{sbbajlId,jdbcType=DECIMAL}
      and sb.STATUS = 1
    </where>
  </select>

  <!-- 获取最大主键ID -->
  <select id="selectMaxId" resultType="java.lang.Integer">
  	select max(SBBAJL_ID)
    from D_SBXXSJY_HIS
  </select>

  <!--新增设备记录-->
  <insert id="insert" parameterType="com.unis.base.server.entity.EquipmentRecordsDO" >
    insert into D_SBXXSJY_HIS
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="sbbajlId != null" >
        SBBAJL_ID,
      </if>
      <if test="sbbh != null" >
        SBBH,
      </if>
      <if test="sbyqmc != null" >
        SBYQMC,
      </if>
      <if test="kddm != null" >
        KDDM,
      </if>
      <if test="sbggxh != null" >
        SBGGXH,
      </if>
      <if test="sbms != null" >
        SBMS,
      </if>
      <if test="sbzt != null" >
        SBZT,
      </if>
      <if test="sbfl != null" >
        SBFL,
      </if>
      <if test="sccj != null" >
        SCCJ,
      </if>
      <if test="cgjg != null" >
        CGJG,
      </if>
      <if test="sbglz != null" >
        SBGLZ,
      </if>
      <if test="edgzsj != null" >
        EDGZSJ,
      </if>
      <if test="dcgzsj != null" >
        DCGZSJ,
      </if>
      <if test="cgsj != null" >
        CGSJ,
      </if>
      <if test="yjjdrq != null" >
        YJJDRQ,
      </if>
      <if test="ljgzsj != null" >
        LJGZSJ,
      </if>
      <if test="sysm != null" >
        SYSM,
      </if>
      <if test="yjbfrq != null" >
        YJBFRQ,
      </if>
      <if test="sbzp != null" >
        SBZP,
      </if>
      <if test="rybh != null" >
        RYBH,
      </if>
      <if test="ryxm != null" >
        RYXM,
      </if>
      <if test="djr != null" >
        DJR,
      </if>
      <if test="whyy != null" >
        WHYY,
      </if>
      <if test="whsj != null" >
        WHSJ,
      </if>
      <if test="sfba != null" >
        SFBA,
      </if>
      <if test="spyj != null" >
        SPYJ,
      </if>
      <if test="szdwmc != null" >
        SZDWMC,
      </if>
      <if test="szdwdm != null" >
        SZDWDM,
      </if>
      <if test="jszt != null" >
        JSZT,
      </if>
      <if test="sbsl != null" >
        SBSL,
      </if>
      <if test="jscs != null" >
        JSCS,
      </if>
      <if test="sblx != null" >
        SBLX,
      </if>
      <if test="mqzt != null" >
        MQZT,
      </if>
      <if test="sfzc != null" >
        SFZC,
      </if>
      <if test="ccbm != null" >
        CCBM,
      </if>
      <if test="sbbm != null" >
        SBBM,
      </if>
      <if test="qyrq != null" >
        QYRQ,
      </if>
      <if test="ssfl != null" >
        SSFL,
      </if>
      <if test="jgId != null" >
        JG_ID,
      </if>
      <if test="fzd != null" >
        FZD,
      </if>
      <if test="shrybh != null" >
        SHRYBH,
      </if>
      <if test="shrymc != null" >
        SHRYMC,
      </if>
      <if test="shbmbh != null" >
        SHBMBH,
      </if>
      <if test="shbmmc != null" >
        SHBMMC,
      </if>
      <if test="sbdwmc != null" >
        SBDWMC,
      </if>
      <if test="zcbh != null" >
        ZCBH,
      </if>
      <if test="scrq != null" >
        SCRQ,
      </if>
      <if test="rkrq != null" >
        RKRQ,
      </if>
      <if test="sbflbh != null" >
        SBFLBH,
      </if>
      <if test="status != null" >
        STATUS,
      </if>
      <if test="creator != null" >
        CREATOR,
      </if>
      <if test="creatorCode != null" >
        CREATOR_CODE,
      </if>
      <if test="createDate != null" >
        CREATE_DATE,
      </if>
      <if test="remark != null" >
        REMARK,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="sbbajlId != null" >
        #{sbbajlId,jdbcType=DECIMAL},
      </if>
      <if test="sbbh != null" >
        #{sbbh,jdbcType=VARCHAR},
      </if>
      <if test="sbyqmc != null" >
        #{sbyqmc,jdbcType=VARCHAR},
      </if>
      <if test="kddm != null" >
        #{kddm,jdbcType=VARCHAR},
      </if>
      <if test="sbggxh != null" >
        #{sbggxh,jdbcType=VARCHAR},
      </if>
      <if test="sbms != null" >
        #{sbms,jdbcType=VARCHAR},
      </if>
      <if test="sbzt != null" >
        #{sbzt,jdbcType=VARCHAR},
      </if>
      <if test="sbfl != null" >
        #{sbfl,jdbcType=VARCHAR},
      </if>
      <if test="sccj != null" >
        #{sccj,jdbcType=VARCHAR},
      </if>
      <if test="cgjg != null" >
        #{cgjg,jdbcType=DECIMAL},
      </if>
      <if test="sbglz != null" >
        #{sbglz,jdbcType=VARCHAR},
      </if>
      <if test="edgzsj != null" >
        #{edgzsj,jdbcType=DECIMAL},
      </if>
      <if test="dcgzsj != null" >
        #{dcgzsj,jdbcType=DECIMAL},
      </if>
      <if test="cgsj != null" >
        #{cgsj,jdbcType=TIMESTAMP},
      </if>
      <if test="yjjdrq != null" >
        #{yjjdrq,jdbcType=TIMESTAMP},
      </if>
      <if test="ljgzsj != null" >
        #{ljgzsj,jdbcType=DECIMAL},
      </if>
      <if test="sysm != null" >
        #{sysm,jdbcType=DECIMAL},
      </if>
      <if test="yjbfrq != null" >
        #{yjbfrq,jdbcType=TIMESTAMP},
      </if>
      <if test="sbzp != null" >
        #{sbzp,jdbcType=VARCHAR},
      </if>
      <if test="rybh != null" >
        #{rybh,jdbcType=VARCHAR},
      </if>
      <if test="ryxm != null" >
        #{ryxm,jdbcType=VARCHAR},
      </if>
      <if test="djr != null" >
        #{djr,jdbcType=VARCHAR},
      </if>
      <if test="whyy != null" >
        #{whyy,jdbcType=VARCHAR},
      </if>
      <if test="whsj != null" >
        #{whsj,jdbcType=TIMESTAMP},
      </if>
      <if test="sfba != null" >
        #{sfba,jdbcType=DECIMAL},
      </if>
      <if test="spyj != null" >
        #{spyj,jdbcType=VARCHAR},
      </if>
      <if test="szdwmc != null" >
        #{szdwmc,jdbcType=VARCHAR},
      </if>
      <if test="szdwdm != null" >
        #{szdwdm,jdbcType=VARCHAR},
      </if>
      <if test="jszt != null" >
        #{jszt,jdbcType=VARCHAR},
      </if>
      <if test="sbsl != null" >
        #{sbsl,jdbcType=DECIMAL},
      </if>
      <if test="jscs != null" >
        #{jscs,jdbcType=VARCHAR},
      </if>
      <if test="sblx != null" >
        #{sblx,jdbcType=DECIMAL},
      </if>
      <if test="mqzt != null" >
        #{mqzt,jdbcType=DECIMAL},
      </if>
      <if test="sfzc != null" >
        #{sfzc,jdbcType=DECIMAL},
      </if>
      <if test="ccbm != null" >
        #{ccbm,jdbcType=VARCHAR},
      </if>
      <if test="sbbm != null" >
        #{sbbm,jdbcType=VARCHAR},
      </if>
      <if test="qyrq != null" >
        #{qyrq,jdbcType=TIMESTAMP},
      </if>
      <if test="ssfl != null" >
        #{ssfl,jdbcType=DECIMAL},
      </if>
      <if test="jgId != null" >
        #{jgId,jdbcType=VARCHAR},
      </if>
      <if test="fzd != null" >
        #{fzd,jdbcType=VARCHAR},
      </if>
      <if test="shrybh != null" >
        #{shrybh,jdbcType=VARCHAR},
      </if>
      <if test="shrymc != null" >
        #{shrymc,jdbcType=VARCHAR},
      </if>
      <if test="shbmbh != null" >
        #{shbmbh,jdbcType=VARCHAR},
      </if>
      <if test="shbmmc != null" >
        #{shbmmc,jdbcType=VARCHAR},
      </if>
      <if test="sbdwmc != null">
        #{sbdwmc,jdbcType=VARCHAR},
      </if>
      <if test="zcbh != null">
        #{zcbh,jdbcType=VARCHAR},
      </if>
      <if test="scrq != null">
        #{scrq,jdbcType=DATE},
      </if>
      <if test="rkrq != null">
        #{rkrq,jdbcType=DATE},
      </if>
      <if test="sbflbh != null">
        #{sbflbh,jdbcType=VARCHAR},
      </if>
      <if test="status != null" >
        #{status,jdbcType=DECIMAL},
      </if>
      <if test="creator != null" >
        #{creator,jdbcType=VARCHAR},
      </if>
      <if test="creatorCode != null" >
        #{creatorCode,jdbcType=VARCHAR},
      </if>
      <if test="createDate != null" >
        #{createDate,jdbcType=TIMESTAMP},
      </if>
      <if test="remark != null" >
        #{remark,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>

  <insert id="insertSelective" parameterType="com.unis.base.server.entity.EquipmentRecordsDO" >
    insert into D_SBXXSJY_HIS
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="sbbajlId != null" >
        SBBAJL_ID,
      </if>
      <if test="sbbh != null" >
        SBBH,
      </if>
      <if test="sbyqmc != null" >
        SBYQMC,
      </if>
      <if test="kddm != null" >
        KDDM,
      </if>
      <if test="sbggxh != null" >
        SBGGXH,
      </if>
      <if test="sbms != null" >
        SBMS,
      </if>
      <if test="sbzt != null" >
        SBZT,
      </if>
      <if test="sbfl != null" >
        SBFL,
      </if>
      <if test="sccj != null" >
        SCCJ,
      </if>
      <if test="cgjg != null" >
        CGJG,
      </if>
      <if test="sbglz != null" >
        SBGLZ,
      </if>
      <if test="edgzsj != null" >
        EDGZSJ,
      </if>
      <if test="dcgzsj != null" >
        DCGZSJ,
      </if>
      <if test="cgsj != null" >
        CGSJ,
      </if>
      <if test="yjjdrq != null" >
        YJJDRQ,
      </if>
      <if test="ljgzsj != null" >
        LJGZSJ,
      </if>
      <if test="sysm != null" >
        SYSM,
      </if>
      <if test="yjbfrq != null" >
        YJBFRQ,
      </if>
      <if test="sbzp != null" >
        SBZP,
      </if>
      <if test="rybh != null" >
        RYBH,
      </if>
      <if test="ryxm != null" >
        RYXM,
      </if>
      <if test="djr != null" >
        DJR,
      </if>
      <if test="whyy != null" >
        WHYY,
      </if>
      <if test="whsj != null" >
        WHSJ,
      </if>
      <if test="sfba != null" >
        SFBA,
      </if>
      <if test="spyj != null" >
        SPYJ,
      </if>
      <if test="szdwmc != null" >
        SZDWMC,
      </if>
      <if test="szdwdm != null" >
        SZDWDM,
      </if>
      <if test="jszt != null" >
        JSZT,
      </if>
      <if test="sbsl != null" >
        SBSL,
      </if>
      <if test="jscs != null" >
        JSCS,
      </if>
      <if test="sblx != null" >
        SBLX,
      </if>
      <if test="mqzt != null" >
        MQZT,
      </if>
      <if test="sfzc != null" >
        SFZC,
      </if>
      <if test="ccbm != null" >
        CCBM,
      </if>
      <if test="sbbm != null" >
        SBBM,
      </if>
      <if test="qyrq != null" >
        QYRQ,
      </if>
      <if test="ssfl != null" >
        SSFL,
      </if>
      <if test="jgId != null" >
        JG_ID,
      </if>
      <if test="fzd != null" >
        FZD,
      </if>
      <if test="shrybh != null" >
        SHRYBH,
      </if>
      <if test="shrymc != null" >
        SHRYMC,
      </if>
      <if test="shbmbh != null" >
        SHBMBH,
      </if>
      <if test="shbmmc != null" >
        SHBMMC,
      </if>
      <if test="sbdwmc != null" >
        SBDWMC,
      </if>
      <if test="zcbh != null" >
        ZCBH,
      </if>
      <if test="scrq != null" >
        SCRQ,
      </if>
      <if test="rkrq != null" >
        RKRQ,
      </if>
      <if test="sbflbh != null" >
        SBFLBH,
      </if>
      <if test="status != null" >
        STATUS,
      </if>
      <if test="creator != null" >
        CREATOR,
      </if>
      <if test="creatorCode != null" >
        CREATOR_CODE,
      </if>
      <if test="createDate != null" >
        CREATE_DATE,
      </if>
      <if test="refresher != null" >
        REFRESHER,
      </if>
      <if test="refresherCode != null" >
        REFRESHER_CODE,
      </if>
      <if test="refreshTime != null" >
        REFRESH_TIME,
      </if>
      <if test="remark != null" >
        REMARK,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="sbbajlId != null" >
        #{sbbajlId,jdbcType=DECIMAL},
      </if>
      <if test="sbbh != null" >
        #{sbbh,jdbcType=VARCHAR},
      </if>
      <if test="sbyqmc != null" >
        #{sbyqmc,jdbcType=VARCHAR},
      </if>
      <if test="kddm != null" >
        #{kddm,jdbcType=VARCHAR},
      </if>
      <if test="sbggxh != null" >
        #{sbggxh,jdbcType=VARCHAR},
      </if>
      <if test="sbms != null" >
        #{sbms,jdbcType=VARCHAR},
      </if>
      <if test="sbzt != null" >
        #{sbzt,jdbcType=VARCHAR},
      </if>
      <if test="sbfl != null" >
        #{sbfl,jdbcType=VARCHAR},
      </if>
      <if test="sccj != null" >
        #{sccj,jdbcType=VARCHAR},
      </if>
      <if test="cgjg != null" >
        #{cgjg,jdbcType=DECIMAL},
      </if>
      <if test="sbglz != null" >
        #{sbglz,jdbcType=VARCHAR},
      </if>
      <if test="edgzsj != null" >
        #{edgzsj,jdbcType=DECIMAL},
      </if>
      <if test="dcgzsj != null" >
        #{dcgzsj,jdbcType=DECIMAL},
      </if>
      <if test="cgsj != null" >
        #{cgsj,jdbcType=TIMESTAMP},
      </if>
      <if test="yjjdrq != null" >
        #{yjjdrq,jdbcType=TIMESTAMP},
      </if>
      <if test="ljgzsj != null" >
        #{ljgzsj,jdbcType=DECIMAL},
      </if>
      <if test="sysm != null" >
        #{sysm,jdbcType=DECIMAL},
      </if>
      <if test="yjbfrq != null" >
        #{yjbfrq,jdbcType=TIMESTAMP},
      </if>
      <if test="sbzp != null" >
        #{sbzp,jdbcType=VARCHAR},
      </if>
      <if test="rybh != null" >
        #{rybh,jdbcType=VARCHAR},
      </if>
      <if test="ryxm != null" >
        #{ryxm,jdbcType=VARCHAR},
      </if>
      <if test="djr != null" >
        #{djr,jdbcType=VARCHAR},
      </if>
      <if test="whyy != null" >
        #{whyy,jdbcType=VARCHAR},
      </if>
      <if test="whsj != null" >
        #{whsj,jdbcType=TIMESTAMP},
      </if>
      <if test="sfba != null" >
        #{sfba,jdbcType=DECIMAL},
      </if>
      <if test="spyj != null" >
        #{spyj,jdbcType=VARCHAR},
      </if>
      <if test="szdwmc != null" >
        #{szdwmc,jdbcType=VARCHAR},
      </if>
      <if test="szdwdm != null" >
        #{szdwdm,jdbcType=VARCHAR},
      </if>
      <if test="jszt != null" >
        #{jszt,jdbcType=VARCHAR},
      </if>
      <if test="sbsl != null" >
        #{sbsl,jdbcType=DECIMAL},
      </if>
      <if test="jscs != null" >
        #{jscs,jdbcType=VARCHAR},
      </if>
      <if test="sblx != null" >
        #{sblx,jdbcType=DECIMAL},
      </if>
      <if test="mqzt != null" >
        #{mqzt,jdbcType=DECIMAL},
      </if>
      <if test="sfzc != null" >
        #{sfzc,jdbcType=DECIMAL},
      </if>
      <if test="ccbm != null" >
        #{ccbm,jdbcType=VARCHAR},
      </if>
      <if test="sbbm != null" >
        #{sbbm,jdbcType=VARCHAR},
      </if>
      <if test="qyrq != null" >
        #{qyrq,jdbcType=TIMESTAMP},
      </if>
      <if test="ssfl != null" >
        #{ssfl,jdbcType=DECIMAL},
      </if>
      <if test="jgId != null" >
        #{jgId,jdbcType=VARCHAR},
      </if>
      <if test="fzd != null" >
        #{fzd,jdbcType=VARCHAR},
      </if>
      <if test="shrybh != null" >
        #{shrybh,jdbcType=VARCHAR},
      </if>
      <if test="shrymc != null" >
        #{shrymc,jdbcType=VARCHAR},
      </if>
      <if test="shbmbh != null" >
        #{shbmbh,jdbcType=VARCHAR},
      </if>
      <if test="shbmmc != null" >
        #{shbmmc,jdbcType=VARCHAR},
      </if>
      <if test="sbdwmc != null">
        #{sbdwmc,jdbcType=VARCHAR},
      </if>
      <if test="zcbh != null">
        #{zcbh,jdbcType=VARCHAR},
      </if>
      <if test="scrq != null">
        #{scrq,jdbcType=DATE},
      </if>
      <if test="rkrq != null">
        #{rkrq,jdbcType=DATE},
      </if>
      <if test="sbflbh != null">
        #{sbflbh,jdbcType=VARCHAR},
      </if>
      <if test="status != null" >
        #{status,jdbcType=DECIMAL},
      </if>
      <if test="creator != null" >
        #{creator,jdbcType=VARCHAR},
      </if>
      <if test="creatorCode != null" >
        #{creatorCode,jdbcType=VARCHAR},
      </if>
      <if test="createDate != null" >
        #{createDate,jdbcType=TIMESTAMP},
      </if>
      <if test="refresher != null" >
        #{refresher,jdbcType=VARCHAR},
      </if>
      <if test="refresherCode != null" >
        #{refresherCode,jdbcType=VARCHAR},
      </if>
      <if test="refreshTime != null" >
        #{refreshTime,jdbcType=TIMESTAMP},
      </if>
      <if test="remark != null" >
        #{remark,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>


</mapper>